CC=gcc
CFLAGS=-Wall -Werror
MAKEFILE=-MM
SRC=$(wildcard *.c)
OBJ=$(patsubst %.c, %.o, $(SRC))
DEP=$(patsubst %.c, %.dep, $(SRC))
.PHONY:clean

make:
	@echo "Tapez l'une des commandes suivantes :"
	@echo "make $(OBJ)"

all: essai_pile

essai_pile: $(OBJ)	# essai_pile.o pile.o pile_io.o
	$(CC) $^ -o $@

$(OBJ):$(DEP)

%.o: %.c 
	$(CC) $(CFLAGS) -c $<

# essai_pile.o: pile.h pile_io.h
# pile.o: pile.h
# pile_io.o: pile_io.h	# pile.h

%.dep: %.c
	$(CC) $(MAKEFILE) $< > $@

clean:
	rm -f *.o essai_pile

mrproper:
	rm -f *.o *.dep essai_pile
